Skip to main content
GET
/
payments
/
transactions
/
sessions
/
{sessionId}
Fetch a transaction from the provider (for offramp use)
curl --request GET \
  --url https://api-sb.meld.io/payments/transactions/sessions/{sessionId} \
  --header 'Authorization: <api-key>'
{
  "transaction": {
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "serviceProvider": "<string>",
    "sessionId": "<string>",
    "status": "<string>",
    "transactionType": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "accountId": "<string>",
    "countryCode": "<string>",
    "cryptoDetails": {
      "blockchainTransactionId": "<string>",
      "chainId": "<string>",
      "institution": "<string>",
      "networkFee": 123,
      "networkFeeInUsd": 123,
      "offrampDestinationWalletAddress": "<string>",
      "partnerFee": 123,
      "partnerFeeInUsd": 123,
      "swapFee": 123,
      "swapFeeInUsd": 123,
      "totalFee": 123,
      "totalFeeInUsd": 123,
      "transactionFee": 123,
      "transactionFeeInUsd": 123,
      "walletAddress": "<string>"
    },
    "customer": {
      "accountId": "<string>",
      "addresses": [
        {
          "addressDetails": {
            "city": "<string>",
            "country": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "lineOne": "<string>",
            "lineTwo": "<string>",
            "postalCode": "<string>",
            "region": "<string>"
          }
        }
      ],
      "email": "<string>",
      "externalId": "<string>",
      "id": "<string>",
      "name": {
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "phone": "<string>",
      "serviceProviders": {},
      "status": "<string>"
    },
    "description": "<string>",
    "destinationAmount": 123,
    "destinationCurrencyCode": "<string>",
    "externalCustomerId": "<string>",
    "externalReferenceId": "<string>",
    "externalSessionId": "<string>",
    "externalSubaccountCustomerId": "<string>",
    "fiatAmountInUsd": 123,
    "isImported": true,
    "isPassthrough": true,
    "key": "<string>",
    "multiFactorAuthorizationStatus": [
      {
        "submitted": true,
        "successful": true,
        "url": "<string>"
      }
    ],
    "orderId": "<string>",
    "parentPaymentTransactionId": "<string>",
    "passthroughReference": "<string>",
    "paymentDetails": {
      "authAmount": 123,
      "captureAmount": 123
    },
    "paymentMethodType": "<string>",
    "serviceProviderCreatedAt": "2023-11-07T05:31:56Z",
    "serviceProviderDetails": {},
    "serviceProviderTransactionUrl": "<string>",
    "serviceTransactionId": "<string>",
    "sessionClientTags": {},
    "sourceAmount": 123,
    "sourceCurrencyCode": "<string>",
    "subaccountCustomerId": "<string>"
  }
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

sessionId
string
required

Session ID to fetch the transaction for

Response

Transaction found and retrieved from provider

transaction
object

Payment transaction information